Overview | Package | Class | Use | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.moxa.mxuportapi
Class MxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.moxa.mxuportapi.MxException

All Implemented Interfaces:
  java.io.Serializable

    public class MxException

extends java.lang.Exception

MxException represents the exception of MxUPortAPI. Programmers can catch the exception ,use `getErrorCode` to get the specified error code, or use `getErrorCodeString` to get the description of this error. MxException is inherited from java.lang.Exception. Users can also use methods from java.lang.Exception to get more information.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `MxException.ErrorCode`

Method Summary
`java.lang.String` | `getDebugMessage()` This is reserved for internal debugging purposes.
`MxException.ErrorCode` | `getErrorCode()` Gets the MxUPortAPI error code.
`java.lang.String` | `getErrorCodeString()` Gets the MxUPortAPI error string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getDebugMessage

    public java.lang.String getDebugMessage()

  This is reserved for internal debugging purposes. If the error can't be resolved, the programmer may log this description to send to Moxa. Do not output the string directly to the end user.

  Returns:
    A string describing to the debugging information.

### getErrorCode

    public MxException.ErrorCode getErrorCode()

  Gets the MxUPortAPI error code.

  Returns:
    The ErrorCode for describing the error type of this exception.
  See Also:
    `MxException.ErrorCode`

### getErrorCodeString

    public java.lang.String getErrorCodeString()

  Gets the MxUPortAPI error string.

  Returns:
    The string for describing the error type of this exception.
  See Also:
    `MxException.ErrorCode`

Overview | Package | Class | Use | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD